Subject: bug#50187: 28.0.50; tramp is called from calendar

From: Sam Steingold <[email-masked]>
Date: Fri, 16 Sep 2022 10:31:54 -0400

> * Gregory Heytings <[email-masked]> [2022-09-16 10:04:57 +0000]:
>
>>
>> If starting calendar while in a Tramp buffer is problematic for you, then I
>> think the solution is to not do that, I'm afraid.
>>
>
> Or to use this, for example:
>
> (advice-add
>  'calendar :around
>  (lambda (fun &rest args)
>    (let ((default-directory
> 	  (if (file-remote-p default-directory)
> 	      "~/"
> 	    default-directory)))
>      (apply fun args))))

calendar is far from being the only problem.
I run this:

--8<---------------cut here---------------start------------->8---
(dolist (b (buffer-list))
  (with-current-buffer b
    (when (and (null buffer-file-name)
               (not (eq major-mode 'dired-mode))
               (not (string-match " ?\\*.*\\(tramp\\|vc\\|diff\\)" (buffer-name)))
               (find-file-name-handler default-directory 'file-remote-p))
      (message "Reset 'default-directory' in %s(%s) from %s"
               b (or buffer-file-name list-buffers-directory) default-directory)
      (setq default-directory (default-value 'default-directory))
      )))
--8<---------------cut here---------------end--------------->8---

every now and then.

-- 
Sam Steingold (https://aphar.dreamwidth.org/) on darwin Ns 10.3.2113
https://lastingimpactpsychology.com https://steingoldpsychology.com
https://jij.org https://www.memritv.org https://www.peaceandtolerance.org/
If at first you don't suck seed, try and suck another seed.